Extending Qt Creator Manual | VcsOutputWindow

Extending Qt Creator Manual 4.5.2

# VcsOutputWindow Class

(VcsBase::VcsOutputWindow)

Inherits: | Core::IOutputPane

- List of all members, including inherited members

## Public Types

enum | MessageStyle { None, Error, Warning, Command, Message }

## Properties

- repository : QString

## Public Functions

| ~VcsOutputWindow() override
QString | repository() const

## Reimplemented Public Functions

virtual bool | canFocus() const override
virtual bool | canNavigate() const override
virtual bool | canNext() const override
virtual bool | canPrevious() const override
virtual void | clearContents() override
virtual QString | displayName() const override
virtual void | goToNext() override
virtual void | goToPrev() override
virtual bool | hasFocus() const override
virtual QWidget * | outputWidget(QWidget *parent) override
virtual int | priorityInStatusBar() const override
virtual void | setFocus() override
virtual QList<QWidget *> | toolBarWidgets() const override
virtual void | visibilityChanged(bool visible) override

- 14 public functions inherited from Core::IOutputPane

## Public Slots

void | appendCommand(const QString &workingDirectory, const Utils::FileName &binary, const QStringList &args)
void | appendError(const QString &text)
void | appendMessage(const QString &text)
void | appendShellCommandLine(const QString &text)
void | appendSilently(const QString &text)
void | appendWarning(const QString &text)
void | clearRepository()
void | setData(const QByteArray &data)
void | setRepository(const QString &)
void | setText(const QString &text)

- 6 public slots inherited from Core::IOutputPane

## Static Public Members

VcsOutputWindow * | instance()
QString | msgExecutionLogEntry(const QString &workingDir, const Utils::FileName &executable, const QStringList &arguments)

### Additional Inherited Members

- 6 signals inherited from Core::IOutputPane

## Member Type Documentation

### enum VcsOutputWindow::MessageStyle

## Property Documentation

### repository : QString

Access functions:

QString | repository() const
void | setRepository(const QString &)

## Member Function Documentation

### VcsOutputWindow::~VcsOutputWindow()

Destroys the instance of VcsOutputWindow.

### `[static slot]` void VcsOutputWindow::appendCommand(const QString &workingDirectory, const Utils::FileName &binary, const QStringList &args)

### `[static slot]` void VcsOutputWindow::appendError(const QString &text)

### `[static slot]` void VcsOutputWindow::appendMessage(const QString &text)

### `[static slot]` void VcsOutputWindow::appendShellCommandLine(const QString &text)

### `[static slot]` void VcsOutputWindow::appendSilently(const QString &text)

### `[static slot]` void VcsOutputWindow::appendWarning(const QString &text)

### `[override virtual]` bool VcsOutputWindow::canFocus() const

### `[override virtual]` bool VcsOutputWindow::canNavigate() const

### `[override virtual]` bool VcsOutputWindow::canNext() const

### `[override virtual]` bool VcsOutputWindow::canPrevious() const

### `[override virtual]` void VcsOutputWindow::clearContents()

### `[static slot]` void VcsOutputWindow::clearRepository()

### `[override virtual]` QString VcsOutputWindow::displayName() const

### `[override virtual]` void VcsOutputWindow::goToNext()

### `[override virtual]` void VcsOutputWindow::goToPrev()

### `[override virtual]` bool VcsOutputWindow::hasFocus() const

### `[static]` VcsOutputWindow *VcsOutputWindow::instance()

### `[static]` QString VcsOutputWindow::msgExecutionLogEntry(const QString &workingDir, const Utils::FileName &executable, const QStringList &arguments)

### `[override virtual]` QWidget *VcsOutputWindow::outputWidget(QWidget *parent)

### `[override virtual]` int VcsOutputWindow::priorityInStatusBar() const

### `[static slot]` void VcsOutputWindow::setData(const QByteArray &data)

### `[override virtual]` void VcsOutputWindow::setFocus()

See also hasFocus().

### `[static slot]` void VcsOutputWindow::setText(const QString &text)

### `[override virtual]` QList<QWidget *> VcsOutputWindow::toolBarWidgets() const

### `[override virtual]` void VcsOutputWindow::visibilityChanged(bool visible)